Mailinglist Archive: opensuse-updates (120 mails)

< Previous Next >
openSUSE-RU-2016:0274-1: moderate: Recommended update for Machinery
openSUSE Recommended Update: Recommended update for Machinery
______________________________________________________________________________

Announcement ID: openSUSE-RU-2016:0274-1
Rating: moderate
References: #959558 #961011 #961176
Affected Products:
openSUSE Leap 42.1
______________________________________________________________________________

An update that has three recommended fixes can now be
installed.

Description:


This update provides Machinery 1.16.4, which brings the following fixes
and enhancements:

- The unmanaged-files scope filter will not include "/boot" by default
anymore.
- Fix crash during image build on SLES 12-SP1.
- Reduce version restrictions for gems to the major version. (bnc#961176)
- Remove concept of "supported systems" in favor of letting Machinery run
everywhere. Whether a system can be built, exported, etc will be
validated from its related task by checking if the proper tooling is
installed.
- Remove hint for `show`, when `inspect-container` is run with `--show`
option.
- Rephrase the startup messages and warn messages when starting the HTTP
server for compare, show, or serve system descriptions.
- Change `serve` command to always list all system descriptions.
- Fix crash when the user does not have enough permissions to create the
image directory for the `build` command.
- Fix wrong hint for docker containers while running `analyze` command.
- Add a new hint when using the `--public` option for the `serve` command
that it makes all descriptions publicly available.
- Fix Machinery failing to inspect changed config files in case of
restrictive permissions.
- Remove hint for `show`, when `inspect` is run with `--show` option.
- Fix repository inspection on hosts that have a LANGUAGE variable set.
- Empty scopes now display a message in HTML and CLI views.
- Fix SLES 11 SP4 inspector output to be similar to SLES 11 SP3.
- Fix AutoYaST export on openSUSE Leap and Tumbleweed.
- Allow building of openSUSE Leap and Tumbleweed on openSUSE Leap and
Tumbleweed.
- Allow building of SLES 11 and SLES 12 on openSUSE Leap.
- Add HTML landing page, which lists all system descriptions on your
system. This update was imported from the SUSE:SLE-12:Update update
project.


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.1:

zypper in -t patch openSUSE-2016-112=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.1 (i586 x86_64):

machinery-1.16.4-6.1
machinery-debuginfo-1.16.4-6.1
machinery-debugsource-1.16.4-6.1
machinery-doc-1.16.4-6.1


References:

https://bugzilla.suse.com/959558
https://bugzilla.suse.com/961011
https://bugzilla.suse.com/961176


< Previous Next >
This Thread
  • No further messages